function s1=alphabetic_sort(s,start_pos,end_pos)
%alphabetic_sort       - sorts the rows of x according to the alphabetic order of rows identifiers
%function X1=alphabetic_sort(X,start_pos:end_pos)
%
%Input arguments:
%===============
%x : SAISIR matrix
%start_pos, end_pos : character positions in the identifiers.
%
%Output argument:
%================
%x1= SAISIR matrix with the rows sorted in alphabetic order. 
%This functions sorts the observations (rows)  according to 
%their identifiers (".i" field of X);
%
%example
%=======
% >> a.i
% ans =
% xenon    
% krypton  
% Aluminium
% >>a.d
% ans =
%           1.00          2.00          3.00          4.00
%           5.00          6.00          7.00          8.00
%           9.00         10.00         11.00         12.00
% b=alphabetic_sort(a,1,5);
% >> b.i
% ans =
% Aluminium
% krypton  
% xenon 
% >> b.d
% ans =
%           9.00         10.00         11.00         12.00
%           5.00          6.00          7.00          8.00
%           1.00          2.00          3.00          4.00
          

key=s.i(:,start_pos:end_pos);
[bid,index]=sortrows(key);
s1=selectrow(s,index);

