function [saisir] = appendbag1(saisir1,varargin)
%appendbag1		 - Merge an arbitrary number of "bag" files according to rows
%usage: [X]= appendbag1(X1, X2, X3,.....) 
%
%Input argument:
%===============
%X1, X2, X3 ... : "bag" structure (see function "excel2bag" for details)
%with the same number of columns 
%
%Output argument:
%================
%X: concatenated bag structure
%
%bag is a structure (such as X.d,X.i,X.v), 
%with bag.d being here a three way table of characters  
%if bag.d is dimensioned (n x p x v): n is the number of rows, v the 
%number of columns, and p the number of characters for each string.
%The structure bag is obtained as out put argument of the function
%"excel2bag". 
%
%Example:
%[value1,bag1]=excel2bag('data1',['A'; 'B'],20);
%[value2,bag2]=excel2bag('data2',['A'; 'B'],20);
%bag3=appendbag1(bag1,bag2); 


%if(size(saisir1.d,2)~=size(saisir2.d,2))
%   help appendrow;
%   error('number of columns are not equal');
%end   
%saisir.d=[saisir1.d;saisir2.d];
%saisir.i=[saisir1.i;saisir2.i];
%saisir.v=saisir1.v;
[n,p]=size(saisir1.d);
[a,ntable]=size(varargin);
saisir=saisir1;
bl='                                    ';
blancs=char(ones(n,1)*bl);
aux=[saisir.i blancs];
saisir.i=aux(:,1:30);% ajusted to 30 with blanks
for table=1:ntable
	if(size(saisir1.d,2)~=size(varargin{table}.d,2))
	   help appendbag1;
   	error('number of columns are not equal');
   end	   
   saisir.d=[saisir.d;varargin{table}.d];
   aux=varargin{table}.i;
   [a,b]=size(aux);
   blancs=char(ones(a,1)*bl);
   aux=[aux blancs];
   saisir.i=[saisir.i;aux(:,1:30)];
end;
saisir.v=saisir1.v;