function [saisir] = appendcol1(saisir1,varargin)
%appendcol1 		- merges an arbitrary number of files according to columns 
% usage: [X]= appendcol(X1,X2,X3,...) 
%
%Input arguments:
%===============
%X1, X2, X3 ... : SAISIR Matrices with the same numbers of rows
%
%Ouput argument:
%===============
%X     : SAISIR Matrix  
%
%The identifiers or rows are recopied in X.i
%The identifiers of columns are the concatenation of X1.v, X2.v, X3.v ...
%
%Example:
%total=appendcol(chemistry1, chemistry2, chemistry3 );
%
%see also: appendrow, appendrow1, appendcol



if(isempty(saisir1));
    saisir=saisir1;
    return;
end

[a,ntable]=size(varargin);
saisir1=saisir_transpose(saisir1);

for i=1:ntable
   varargin{i}=saisir_transpose(varargin{i});
end
bid=appendrow1(saisir1,varargin{1:ntable});
saisir=saisir_transpose(bid);

