function [res]=apply_multiple_regression(x,type,y);
%apply_multiple_regression			- applies multiple_regression on "unknown" data
%function[res]=apply_multiple_regression(X,type,(y))
%
%Input argument:
%==============
%X: SAISIR matrix of predictive variables
%type: output argument of function "multiple_regression"
%y (optional): SAISIR vector of known observed y
%
%Output argument:
%===============
%res with fields:
%ypred: predicted y
%if input argument "y" given :  
%r2: r2 value 
%RMSEV: root mean square error of validation

[n,p]=size(x.d);
res.ypred.d=x.d*type.beta.d+type.beta0;
res.ypred.i=x.i;
res.ypred.v=type.ypred.v;

if (nargin>2)
    R=corrcoef(y.d,res.ypred.d);
    res.r2.d=R(1,2)*R(1,2);
    res.r2.i='Determination coefficient';
    res.r2.v='Determination coefficient';
    delta=res.ypred.d-y.d;
    res.RMSEV.d=sqrt(sum(delta.*delta)/n);
    res.RMSEV.i='Root mean square error of validation';
    res.RMSEV.v='Root mean square error of validation';
end
