function[res]=apply_ridge_regression(ridgetype, x,y)
%apply_ridge_regression      - applies ridge regression on "unknown data"
%function[res]=apply_ridge_regression(ridgetype,X,(y))
%
%Input arguments:
%===============
%ridge_type (structure): output argument of ridge_regression
%X: SAISIR matrix of predictive variables
%y: SAISIR vector of observed y
%
%Ouput arguments:
%===============
%res with fields
%predy: predicted values for all the ridge predictive models
%(see function "ridge_regression")
%If input argument "y" is given: 
%r2: values for all the ridge predictive models
%rmsecv: root mean square error of validation for all the predictive models
 

[n,p]=size(x.d);
size(ridgetype.averagex.d);
x.d=x.d-ones(n,1)*ridgetype.averagex.d;
predy.d=x.d*ridgetype.beta.d + ridgetype.averagey.d*ones(size(x.d,1),size(ridgetype.beta.d,2));
predy.i=x.i;
predy.v=ridgetype.beta.v;

if(nargin>2)
   aux=predy.d-y.d*ones(1,size(ridgetype.beta.d,2));
   rmsecv.d=sqrt(sum(aux.*aux)/n);
   rmsecv.i='RMSECV';
   rmsecv.v=ridgetype.beta.v;
   corr.d=zeros(1,size(ridgetype.beta.d,2));
   for i=1:size(ridgetype.beta.d,2)
      aux=corrcoef(y.d,predy.d(:,i));
   	corr.d(1,i)=aux(1,2)*aux(1,2);
	end;   
	corr.i='r2';
	corr.v=ridgetype.beta.v;;
   res.r2=corr;
   res.rmsecv=rmsecv;
end
res.predy=predy;
