function[saisir]=correlation_circle(pcatype,saisir,col1,col2,startpos,endpos)
%correlation_circle  		- Displays the correlation circle after PCA
%function[res]=correlation_circle(pcatype,X,col1,col2,(startpos),(endpos))
%
%Input arguments
%---------------
%pcatype: output argument of function "pca")
%X: original data matrix (n x p)
%col1 and col2 : ranks of the PC-scores to be represented. 
%startpos and endpos(optional): key in the variable identifiers for coloring the variables (optional)
%
%Output argument
%--------------
%res: matrix p x n scores of the correlations between the variables and all
%the available PC-scores
%
%The function draw the correlation circle 
%
%
%%typical example
%%Let "chemistry" be a SAISIR matrix
%mypca=pca(chemistry);
%correlation_circle(mypca,chemistry,col1,col2);%correlation circle 
%%of plan %#1-#2
%
%%Note: Use preferably the function "correlation_plot"

charsize=10;
couleur=[0 0 0; 0 0 1; 0 0.7 0; 1 0 0; 0.5 0.5 0; 0.5 0 0.5; 0 0.5 0.5 ; 0.25 0.25 0.25 ; 0.5 0 0; 0 0.5 0; 0 0.5 0; 0.1 0.2 0.3; 0.3 0.2 0.1; 0.5 0.5 0.8; 0.1 0.8 0.1 ];  
[n,p]=size(saisir.d)
%size(pcatype.score.d)
a=corrcoef([saisir.d pcatype.score.d]);
b=size(a,2);
saisir.d=a(1:size(saisir.d,2),size(saisir.d,2)+1:b);
saisir.i=saisir.v;
saisir.v=pcatype.score.v;
axis square;
t=0:pi/20:2*pi;
plot(sin(t),cos(t))
if(nargin>4)
    g=create_group1(saisir,startpos,endpos);
end
if(nargin>4)
    for i=1:p
        m=g.d(i);
        text(saisir.d(i,col1),saisir.d(i,col2),saisir.i(i,startpos:endpos),'FontSize',charsize,'Color',couleur((mod(m-1,15)+1),:),'FontWeight','bold','interpreter','none');
    end
else
    text(saisir.d(:,col1),saisir.d(:,col2),saisir.i,'FontSize',charsize,'Color',couleur(1,:),'interpreter','none');
end
%hold on
% for i=1:p 
%     h=line([0 saisir.d(i,col1)], [0 saisir.d(i,col2)] );
%     if(nargin>4)
%     m=g.d(i);
%     set(h,'Color',couleur((mod(m-1,15)+1),:));
%     set(h,'LineWidth',1);
%     end
% end
line([-1 1],[0 0]);
line([0 0],[-1 1]);
axis square
xlabel(pcatype.score.v(col1,:));
ylabel(pcatype.score.v(col2,:));

hold off 




