function saisir=create_group(saisir1,code_list,startpos,endpos)
%create_group 		- creates a vector of numbers indicating groups from identifiers 
%group=create_group(X,code_list,startpos,endpos)
%
%Input arguments:
%---------------
%X: SAISIR matrix (n x p)
%code_list:matrix of character (k x q)
%startpos, endpos: place in the identifier names where to find the code
%
%Output argument:
%---------------
%group: SAISIR vector (n x 1) of groups. A same number indicates that the observations belong to the same group
%Normally, k groups are identified
%
%typical use:
%group=create_group(X,['A1';'B2';'C1'],3,4]);
%The command seek in X.i the codes 'A1', 'B2', 'C1', in position 3 to 4
%Observations with code 'A1', 'B2, 'C1' are placed in group numbered 1, 2
%and 3 respectively.
%
%see also "create_group1"
%group structure are used in discriminant analysis, anova and relate
%methods
%
[nrow1 ncol1]=size(code_list);
[nrow2 ncol2]=size(saisir1.d);
for i=1:nrow2
   found=0;
   for j=1:nrow1
      index=findstr(saisir1.i(i,startpos:endpos),code_list(j,:));
      %saisir1.i(i,startpos:endpos)
      %code_list(j,:)      
      %index
      if(~isempty(index))
	      if(index==startpos)
   	      found=1;
      	  group=j;
      	end;
   	end      
   end
      if(found==0)
          xdisp(saisir1.i(i,:));
          xdisp(code_list(j,:));
          error('Impossible to attribute a group in create_group');
      end             
   saisir.d(i,1)=group;   
end
saisir.v='group';
saisir.i=saisir1.i;
      
   