function[res]=cross_ridge_regression(x,y,krange,selected)
%cross_ridge_regression		    - ridge regression with validation 
%function[res]=cross_ridge_regression(X,y,krange,selected)
%
%Input arguments:
%---------------
%X: Saisir matrix of the predictive data set (n x p)
%y: Saisir vector of value to be predicted (n x 1)
%krange: Matlab vector of double (k x 1) (see function "ridge regression")
%selected:Matlab vector which elements are either equal to 0 or 1
%
%Output arguments
%----------------
%res with fields
%predy: predicted y in validation (n2 x k)
%obsy: observed y in validation (n2 x k)
%r2: r2 between observed and predicted y in validation (1 x k)
%rmsecv: root mean square error of validation (1 x k)
%ridgetype: see function "ridge_regression"
%
%divides a collection in calibration (selected = 0) and verification set
%(selected = 1)
%applies ridge_regression on the validation set
%All the models with the k parameter in "krange" are tested


nind=size(x.d,1);
nend=sum(selected);

[xval, xcal]=splitrow(x,selected==1);
[yval, ycal]=splitrow(y,selected==1);

[ridgetype]=ridge_regression(xcal,ycal,krange)

res1=apply_ridge_regression(ridgetype, xval,yval);

res.predy=res1.predy;
res.obsy=yval;   
res.r2=res1.r2;
res.rmsecv=res1.rmsecv;
res.ridgetype=ridgetype;