function [saisir] = deletecol(saisir1,index)
%deletecol     - deletes columns of saisir files 
%function [X1] = deletecol(X,index)
%
%input arguments
%===============
%X:Saisir matrix (n x p)
%index:vector indicating the columns to be deleted
%
%Output argument
%==============
%X1:saisir matrix (n x q) with q <=p
%
%The deleted columns are indicated by the vector index (numbers of booleans)
%
%% Typical Examples
%reduced=deletecol(data,[1 3 5]);%% deletes 3 columns
%reduced1=deletecol(data,sum(data.d)==0); % deletes all the columns with
%the sum equal to 0 
%
%see also: deleterow, selectrow, selectcol

saisir1.d(:,index)=[];
saisir1.v(index,:)=[];
saisir.d=saisir1.d;
saisir.i=saisir1.i;
saisir.v=saisir1.v;