function group=dendro(saisir,topnodes)
%dendro1						- dendrogram using euclidian metric and Ward linkage
%function group=dendro(X,(topnodes))
%
%Input arguments:
%================
%X : Saisir data matrix
%topnodes (optional): level of cutting the dendrogram
%
%Output argument
%===============
%group: groups number at the level of cutting defined by topnodes.
%
%typical use
%===========
%g=dendro(data,30);
%
%g will contain numbers ranginf from 1 to 30 indicating the group number
%
%Attempts to display the identifiers on the dendrogram.
%Works only with a few number of identifiers 

t=0;
if(nargin>1); t=topnodes;end 
y=pdist(saisir.d,'euclid');
z=linkage(y,'ward');
%dendrogram1(z,t,saisir.i);
[H,group.d]=dendrogram(z,t,'labels',saisir.i,'orientation','left');
group.i=saisir.i;
group.v='group number';