function documentation_thematic_list(fid,directory_name,function_name,thematic_list);
%documentation_thematic_list    - HTML thematic list of function
%
%Input argments
%==============
%fid : file identifier
%directory_name: name of the directory (working with 
%the Matlab command "what <directory>)
%function_name: list of names of SAISIR function
%thematic_list: output of function "thematic_classification"
%
%This function builds a part of HTML SAISIR documentation (function
%"build_documentation").
%This part corresponds to the thematic list of function 
%This function must be called by the function "build_documentation"

theme=char(thematic_list.theme);
[n1,p]=size(theme);
[n,p]=size(function_name);
w(fid,'<FONT FACE="Arial">');%% FONT DFINITION
w(fid,['<A NAME ="Thematic_list">']);%%where to arrive  
w(fid,'<FONT COLOR=blue>');
%w(fid,'<H2 align="center"> Thematic list of functions</H2>');
w(fid,'<H2> Thematic list of functions</H2>');
w(fid,'</FONT>');
xstruct=thematic_list.theme_structure;
[n2,nfunction]=size(xstruct);
%List of the themes
for i=1:n1
    %w(fid,'<H3 align="center">');
    w(fid,'<H3>');
    aux=theme(i,:);
    aux1=aux;
    aux1=deblank(aux1);
   %xdisp('*',aux1,'*');
    aux1(aux1==' ')='_';
%     xdisp(aux1)
%     pause;
    w(fid,['<LI> <A HREF ="#' aux1 '">' aux '</A> </LI>']);%%call hypertext where to go
    w(fid,'</H3>');
    %%w(fid,'<BR>');
    
end
w(fid,'<BR> <BR>');
    w(fid,['<A HREF ="#Thematic_list"> Thematic list </A>']);%%call hypertext
    w(fid,'<BR>');
    w(fid,['<A HREF ="#alphabetic_list"> Alphabetic list</A>']);%%call hypertext
    w(fid,'<BR>');
w(fid,'<HR>');
%% filling the themes
for i=1:n1
    %w(fid,'<H3 align="center">');
    w(fid,'<H3>');
    aux=theme(i,:);
    aux1=aux;
    aux1=deblank(aux1);
    aux1(aux1==' ')='_';
    w(fid,['<A NAME ="' aux1 '">']);%%call hypertext where to arrive
    w(fid,aux);
    w(fid,'</A>');
    w(fid,'</H3>');
    %% Seeking the function associated with the theme
    for fonc=1:nfunction
        aux=xstruct(fonc);
        thistheme=aux.theme;%% themes associated with this function
        test=find(thistheme==i);%% is this function associated with the theme ?
        if(~isempty(test));%%Yes !
            fname=aux.name;
            thishelp=char(help(deblank(fname)));
            if(~isempty(thishelp));%% the function actually exists 
                thishelp=[thishelp char(10)];
                deb=1;
                index=find(thishelp==char(10));%%places of "jump" 
                %%building up a text formed by rows
                line=[];
                for jump=1:2;%% Only the 2 first lines of help used
                    xline=thishelp(deb:index(jump)-1);
                    %xdisp(xline)
                    deb=index(jump)+1;
                    line{jump}=xline;
                end
                %xdisp(function_name(i,:));
                w(fid,'<H4>');
                w(fid,['<A HREF ="#' fname '"> ' fname '</A>']);%%where to go
                %xdisp(['<A HREF ="#' fname '> ' fname '</A>']);
                %pause; 
                %w(fid,function_name);
                w(fid,'</H4>');
                w(fid,'<H3>');
                w(fid,line{1});%% First line of help =definition
                w(fid,'</H3>');
                w(fid,'<BR>');
                w(fid,line{2});%% Second line of help header
                w(fid,'<HR>');
            end
        end
    end
    w(fid,'<BR><BR');
    w(fid,['<A HREF ="#Thematic_list"> Thematic list </A>']);%%call hypertext
    w(fid,'<BR>');
    w(fid,['<A HREF ="#alphabetic_list"> Alphabetic list</A>']);%%call hypertext
    w(fid,'<BR>');
end
% w(fid,['<A HREF ="#Thematic_list"> Thematic list </A>']);%%call hypertext
% w(fid,'<BR>');
% w(fid,['<A HREF ="#alphabetic_list"> Alphabetic list </A>']);%%call hypertext
% w(fid,'<BR>');
w(fid,'</FONT>');%%END font definition 


%% local function : printing in the documentation file
function w(fid,text);
text=char(text);
[n,p]=size(text);
for i = 1 :n
fprintf(fid,'%s\n',text(i,:));;
end
