function [names] = mir_style(names1)
%mir_style		- changes the sign of the variables of MIR spectra
%function [names] = mir_style(names1)
%
%Input argument: 
%===============
%names1:matrix of char interpretable as number through "num2str"
%
%Ouput argument: 
%===============
%names2: matrix of char interpretable as number through "num2str"
%
%The function gives negative values of variables (here normally wavenumbers)
%in order to have the usual sense on the graph of mid infrared spectra
%This may help Spectroscopists to examine data and loadings.
%
%%Typical use:
%%============
%%Let is suppose that "midIR" is a SAISIR matrix of Mid-infrared spectra
%%with wavenumbers as variables identifiers
%midIR.v=mir_style(midIR.v);

[n,p]=size(names1);
aux=-1*(str2num(names1));
for i=1:n
   aux1=[num2str(aux(i)) '                                         '];
   names(i,:)=aux1(1:20);
end
