function res=pca_stat(pca_type, col1, col2);
%pca_stat       - Gives some complementary statistics on PCA observations
%function res=pca_stat(pca_type, comp1, comp2);
%
%Input argument :
%===============
%
%pca_type: output argument of function "pca"
%comp1, comp2: number of the PC components of the PCA to be analyzed
%
%Ouput argument:
%===============
%res: Saisir Matrix with 7 columns   : QTL, col1 CO2col1, CTRcol1, col2, CO2col2, CTRCol2
%QLT                            : squared cosinus with the plan (quality of the representation of the
%observations)
%CO2col1 and CO2col2            : squared cosinus of the angle between the observation and the axis
%We have QLT=CO2col1 + CO2col2
%CTRcol1 and CTRcol2            : Contribution of the observation to the component. 
%
%From G.Saporta, Probabilits analyse des donnes et statistiques, Ed Technip, page 182
%
%%Typical example:
%p=pca(DATA);
%res=pc_stat(p,1,2);%% stats for components #1 and #2
%saisir2excel(res,'pca results');%% to be looked at with Excel
%
k=0;
score=pca_type.score.d;
s=sum(score.*score,2);
for i=[col1 col2]
k=k+1;
aux(:,1)=score(:,i);
aux(:,2)=(aux(:,1).*aux(:,1))./s;
aux(:,3)=(aux(:,1).*aux(:,1));
aux(:,3)=aux(:,3)/sum(aux(:,3));
bid1{k}=aux;
qlt(:,k)=aux(:,1).*aux(:,1);
end
qlt=sum(qlt,2)./s;
res.d=[qlt bid1{1} bid1{2}];
res.i=pca_type.score.i;

res.v=char({'QLT' ; num2str(col1);'CO2';'CTR'; num2str(col2);'CO2';'CTR'});
    