function[plstype]=quickpls(x,y,ndim)
%quickpls 			- Quick PLS regression from 1 to ndim dimensions
%function [plstype]=saisirpls(X,y,ndim)
%
%Input arguments:
%===============
%X: SAISIR matrix (n x p) of predictive data
%y: SAISIR vector (n x 1) of variable to be predicted
%ndim: maximum dimensions of the model
%
%output argument:
%===============
%plstype with fields:
%BETA: regression coefficient of the models (p x ndim)
%BETA0:intercept of the models (p x 1)
%PREDY: predicted y for all the models (n x ndim)
%T: PLS scores (n x ndim)
%RMSEC: root mean square error of calibration (1 x ndim)
%r2: r2 coefficient (1 x ndim)
%
%This function calculates the PLS models for 1 to ndim dimensions.
%All the models are kept
%The algorithm is not the NIPALS algorithm, but another one which is
%faster.
%
%This function makes use of function  pls (normally in the directory "pls"
%
%see also: basic_pls, basic_pls2 (slower but giving more complete outputs)


[n,p]=size(x.d);
mx=mean(x.d);
xc = x.d-ones(size(x.d,1),1)*mx;
my=mean(y.d);
yc=y.d-ones(size(y.d,1),1)*my;
%function[b]  = pls1a(X,y,K)

beta.d=[];

for i=1:ndim
disp([i ndim]);
    %[beta.d,ypred,t.d, tbeta]=pls(xc,yc,ndim);
[b,y1,t.d,tb]=pls(xc,yc,i);
beta.d=[beta.d b];
end
beta.i=x.v; beta.v= num2str((1:ndim)');
BETA0.d=-mx*beta.d+my; % intercept
%1*p p*mdim 
BETA0.v=num2str((1:ndim)') ;beta0.i='beta0';
BETA0.i='Intercept';
predy.d= x.d*beta.d+ones(size(x.d,1),1)*BETA0.d;
predy.i=x.i;
%%%addcode(str,code,(deb_end)) !!!!!!!
predy.v=addcode(num2str((1:ndim)'),y.v,1);
% 
plstype.BETA=beta;
plstype.BETA0=BETA0;
plstype.PREDY=predy;
% t.i=x.i;
% for i=1:ndim
%    chaine=['t' num2str(i) '             '];
%    %eigenvec.v(i,:)=chaine(1:6);
%  	t.v(i,:)=chaine(1:10);
% end
t.i=x.i;
t.v=addcode(num2str((1:ndim)'),'score # ');
plstype.T=t;
delta=predy.d-y.d*ones(1,ndim);
rmsc=sqrt(sum(delta.*delta)/n);
plstype.RMSEC.d=rmsc;
plstype.RMSEC.i='Root mean square error of calibration';
plstype.RMSEC.v=predy.v;
co=cormap(y,predy);
co.d=co.d.*co.d; 
plstype.r2=co;
