function saisir2excel(saisir,filename)
%saisir2excel 	  - Saves a saisir file in a format compatible with Excel
%function saisir2excel(X,filename)
%
%Input arguments
%===============
%X: SAISIR matrix to be saved
%filename: (string) name of the saved file
%
%Output argument
%===============
%none
%
%Transformq a saisir file into a simple .CSV file and save it on disk
%The separator is ";" 
%The extension '.csv' is added to the filename
%
%%Typical example:
%%===============
%saisir2excel(data,'mydata');
%%Saves the SAISIR matrix "data", under the name "data.csv", with ";" as separator 
%%This file is read by Excel
[n,p]=size(saisir.d);
filename=upper(filename);
if(isempty(findstr('.CSV',filename)))
   filename=[filename '.CSV'];
end
fid=fopen(filename,'w');
fprintf(fid,'%s;','  ');
for col=1:p-1
	fprintf(fid,'%s;',deblank(saisir.v(col,:)));
end
fprintf(fid,'%s',deblank(saisir.v(p,:)));
fprintf(fid,'\n');
for row=1:n
   %fprintf(fid,'$%s ;',saisir.i(row,:));
   fprintf(fid,'%s ;',saisir.i(row,:));
   fprintf(fid,'%0.5g ;',saisir.d(row,1:p-1));
   fprintf(fid,'%0.5g',saisir.d(row,p));
   fprintf(fid,'\n');   
end
fclose(fid);

