function z=saisir_linkage(dis)
%saisir_linkage			- assesses a simple linkage vector from a matrix of distance
%function z=saisir_linkage(dis)
%
%Input argument
%=============
%dis: a SAISIR matrix of distance (n x n, symetric)
%
%Output argument
%==============
%z: z vector as required by the MATLAB function "dendrogram"
%
%From a complete square matrix of distances
%extracts the "unfolded" triangular matrix in order to enter the matlab program "linkage"
%with the option "ward"
%Returns the z vector as required by the MATLAB "dendrogram" function
%
%This function is very specific, and can be used only by skilled persons!
%
%See also : dendro (dendrogram with SAISIR)
x=dis.d;
pdist=[];
[n,p]=size(x);
for i=1:n-1
   aux=x(i,:);
   pdist=[pdist aux(i+1:n)];
end
z=linkage(pdist,'ward');
