function [saisir1, saisir2] = splitrow(saisir,index)
%splitrow		- splits a data matrix into 2 resulting matrices  		
% function [X1, X2]= splitrow(X,index) 
%
%Input arguments
%===============
%X:SAISIR matrix (n x p)
%index: MATLAB vector with k elements equal to 1 and n-k elements equal to
%0
%
%Output arguments
%===============
%X1:SAISIR matrix (k x p)
%X2:SAISIR matrix ((n-k) x p)
%
% Divides X into two matrices X1 and X2
% the first one correspond to kept rows (according to index = 1, or "true")
% the second one is the complement (index = 0, or "false")
% index is either indices of the rows (integers) or boolean.
%
%%Typical example (division of DATA into a calibration and a validation sets):
%%===============
%[n,p]=size(DATA.d);
%sel=random_select(n,round(n/3));%% buiding a random vector of 0 and 1
%[validation_set calibration_set]=splitrow(DATA,sel);%%creation of a
%%calibration and validation set.

[n,p]=size(saisir.d);
if((sum(index==0)+sum(index==1)==n))
    index=index==1;
end
saisir1=selectrow(saisir,index);
saisir2=deleterow(saisir,index);

