function [saisir] = subtract_variable(saisir1,ncol)
%subtract_variable			- subtract a given variable to all the others
% function [X1] = subtract_variable(X,ncol)
%
%Input arguments
%===============
%X:SAISIR matrix
%ncol: (integer) column chosen for the subtraction
%
%Output argument
%==============
%X1: SAISIR matrix in which the variable has been subtracted 
%
%Subtracts the variable of indice ncol to each other variables of the observations
%Useful for correcting an y-shift of spectral data. 

saisir.v=saisir1.v;
saisir.i=saisir1.i;
aux=saisir1.d(:,ncol);
saisir.d=saisir1.d-aux*ones(1,size(saisir1.d,2));