function[pcatype]=svd_pca(saisir)
%svd_pca    				- NOT CENTERED Principal component analysis on raw data
%function [pcatype]=svd_pca(saisir)
%Assesses principal component analysis (on not normalised and NOT CENTERED data)
%Using the singular value decomposition (SVD) algorithm 
%pcatype is a struct containing scores (coordinates)
%eigenvec   :eigenvectors (loadings)
%eigenvec1 : egenvec normalized (laoding)
%eigenval   :eigenvalues
%score : scores of observations 
%score1 : scores of observations normalized
%NOTA: The weight of observations are equal to 1
centred=saisir.d;
r=rank(centred);
[u,d,v]=svd(centred,0);
u=u(:,1:r);
v=v(:,1:r);
d=d(1:r,1:r);
% the eigenvalues
eigenval.d=abs(diag(d.*d));
eigenval.i='eigenvalues';
for i=1:r
    chaine=['dim' num2str(i) '             '];
 	 eigenval.v(i,:)=chaine(1:10);
 end
% the eigenvec and eigenvec 1
pcatype.eigenvec1.d=v;
pcatype.eigenvec1.i=saisir.v;
pcatype.eigenvec1.v=eigenval.v;

pcatype.eigenvec.d=centred'*u;
pcatype.eigenvec.i=saisir.v;
pcatype.eigenvec.v=[eigenval.v num2str(round(1000*eigenval.d/sum(eigenval.d))/10) char(ones(r,1)*'%')];

pcatype.score1.d=u;
pcatype.score1.i=saisir.i;
pcatype.score1.v=eigenval.v;

pcatype.score.d=centred*v;
pcatype.score.i=saisir.i;
pcatype.score.v=[eigenval.v num2str(round(1000*eigenval.d/sum(eigenval.d))/10) char(ones(r,1)*'%')];
pcatype.eigenval=eigenval;



